aboutsummaryrefslogtreecommitdiffstats
path: root/core/readline/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2008-11-23 20:53:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2008-11-23 20:53:29 +0000
commitf12ece71a6d90d7245515a967e7218183c7c28fb (patch)
treea9cf657de715cc7b0190c6ec43a2cca08bed13ff /core/readline/APKBUILD
parentd050e48f55542bf493e4b0bc5327b4cc2a4fef6d (diff)
downloadaports-f12ece71a6d90d7245515a967e7218183c7c28fb.tar.gz
aports-f12ece71a6d90d7245515a967e7218183c7c28fb.tar.bz2
aports-f12ece71a6d90d7245515a967e7218183c7c28fb.tar.xz
core/readline: new aport
Diffstat (limited to 'core/readline/APKBUILD')
-rw-r--r--core/readline/APKBUILD57
1 files changed, 57 insertions, 0 deletions
diff --git a/core/readline/APKBUILD b/core/readline/APKBUILD
new file mode 100644
index 0000000000..dfafcd4d5d
--- /dev/null
+++ b/core/readline/APKBUILD
@@ -0,0 +1,57 @@
+pkgname=readline
+_myver=5.2
+pkgver=${_myver}_p13
+pkgrel=0
+pkgdesc="GNU readline library"
+url="ftp://ftp.cwru.edu/pub/bash/"
+license="GPL"
+depends="uclibc ncurses"
+makedepends=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.cwru.edu/pub/bash/readline-5.2.tar.gz
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-001
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-002
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-003
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-004
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-005
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-006
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-007
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-008
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-009
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-010
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-011
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-012
+ ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-013
+ "
+
+build ()
+{
+ cd "$srcdir/$pkgname-$_myver"
+ for i in "$srcdir"/readline52-???; do
+ msg "Applying ${i##*/}"
+ patch -Np2 -i ${i} || return 1
+ done
+
+ ./configure \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+
+ make SHLIB_LIBS=-lncurses || return 1
+ make DESTDIR="$pkgdir" install || return 1
+
+}
+md5sums="e39331f32ad14009b9ff49cc10c5e751 readline-5.2.tar.gz
+9d4d41622aa9b230c57f68548ce87d8f readline52-001
+f03e512d14206e37f7d6a748b56b9476 readline52-002
+252b42d8750f1a94b6bdf086612dceb2 readline52-003
+a32333c2e603a3ed250514e91050e552 readline52-004
+8106796c09b789523a3a78ab69c04b6d readline52-005
+512188e2bf0837f7eca19dbf71f182ae readline52-006
+ac17aca62eb6fb398c9f2fe9de540aff readline52-007
+2484c392db021905f112cf97a94dfd4c readline52-008
+fc6eb35d07914fae5c57d49c12483ff7 readline52-009
+7a2bf3dc7ac7680b1461a5701100e91b readline52-010
+ef6cef6822663470f6ac8c517c5a7ec6 readline52-011
+e3e9f441c8111589855bc363e5640f6c readline52-012
+3e2e5f543ed268a68fd1fa839faade1a readline52-013"